// const colorsTestData = require('../../colors.json');

const initialState = {
    colorsData: [],
    loading: false,
    error: null,
  };
  
  const rootColorAPIReducer = (state = initialState, action) => {
    switch (action.type) {
      case 'FETCH_COLORS_DATA_REQUEST':
        return {
          ...state,
          loading: true,
          error: null,
        };
  
      case 'FETCH_COLORS_DATA_SUCCESS':
        return {
          ...state,
          loading: false,
          colorsData: action.payload,
        };
  
      case 'FETCH_COLORS_DATA_FAILURE':
        return {
          ...state,
          loading: false,
          error: action.payload,
        };
  
      default:
        return state;
    }
  };
  
  export default rootColorAPIReducer;
  